### Method

# Atk RelationSet add

#### Declaration [src]

    void
    atk_relation_set_add (
      AtkRelationSet* set,
      AtkRelation* relation
    )

#### Description [src]

Add a new relation to the current relation set if it is not already present. This function ref’s the AtkRelation so the caller of this function should unref it to ensure that it will be destroyed when the AtkRelationSet is destroyed.

#### Parameters

`relation`

  Type: `AtkRelation`

  An `AtkRelation`.

  The data is owned by the caller of the method.